searchData={"content_type":"text/markdown","items":[{"doc":"Creates OpenTelemetry spans and injects tracing headers into HTTP requests\n\nWhen used with `Tesla.Middleware.PathParams`, the span name will be created\nbased on the provided path. Without it, the span name follow OpenTelemetry\nstandards and use just the method name, if not being overridden by opts.\n\nNOTE: This middleware needs to come before `Tesla.Middleware.PathParams`","ref":"Tesla.Middleware.OpenTelemetry.html","title":"Tesla.Middleware.OpenTelemetry","type":"module"},{"doc":"- `:span_name` - override span name. Can be a `String` for a static span name,\n  or a function that takes the `Tesla.Env` and returns a `String`\n  - `:propagator` - configures trace headers propagators. Setting it to `:none` disables propagation.\n  Any module that implements `:otel_propagator_text_map` can be used.\n  Defaults to calling `:otel_propagator_text_map.get_text_map_injector/0`\n  - `:mark_status_ok` - configures spans with a list of expected HTTP error codes to be marked as `ok`,\n  not as an error-containing spans","ref":"Tesla.Middleware.OpenTelemetry.html#module-options","title":"Options - Tesla.Middleware.OpenTelemetry","type":"module"},{"doc":"","ref":"Tesla.Middleware.OpenTelemetry.html#call/3","title":"Tesla.Middleware.OpenTelemetry.call/3","type":"function"},{"doc":"# OpenTelemetryTesla\n\nTesla middleware that creates OpenTelemetry spans and injects tracing headers into HTTP requests for Tesla clients.","ref":"readme.html","title":"OpenTelemetryTesla","type":"extras"},{"doc":"The package is [available in Hex](https://hex.pm/packages/opentelemetry_tesla) and can be installed\nby adding `opentelemetry_tesla` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:opentelemetry_tesla, \"~> 2.2.0\"}\n  ]\nend\n```","ref":"readme.html#installation","title":"Installation - OpenTelemetryTesla","type":"extras"},{"doc":"Whilst using this middleware is as simple as adding it to your Tesla middlewares configuration, **It's very important to set the correct order of the middlewares**\n\nThe is crucial to correctly get the parameterized version of the URL, something like `/api/users/:id` instead of `/api/users/3`. \n\n`OpenTelemetry` comes **first**, `PathParams` (if you're using it) comes after.\n\n```elixir\nTesla.Middleware.OpenTelemetry\nTesla.Middleware.PathParams\n```","ref":"readme.html#setup","title":"Setup - OpenTelemetryTesla","type":"extras"}]}